"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bunyan_1 = __importDefault(require("bunyan"));
const bunyan_prettystream_1 = __importDefault(require("bunyan-prettystream"));
const package_json_1 = __importDefault(require("../package.json"));
// eslint-disable-next-line no-process-env
const logLevel = process.env.LOG_LEVEL || 'info';
// eslint-disable-next-line no-process-env
const showColors = process.env.LOG_COLORS === 'true';
const prettyStdOut = new bunyan_prettystream_1.default({ mode: 'dev', useColor: showColors });
prettyStdOut.pipe(process.stdout);
exports.default = bunyan_1.default.createLogger({
    name: package_json_1.default.name.replace(/^@[\d-AZa-z-]+\//g, ''),
    streams: [
        {
            type: 'raw',
            level: logLevel,
            stream: prettyStdOut,
        },
    ],
});
//# sourceMappingURL=logger.js.map