"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toDate = exports.firestoreTimestamp = exports.stringNotDate = void 0;
const lodash_1 = require("lodash");
const luxon_1 = require("luxon");
const stringNotDate = (input) => {
    return (0, lodash_1.isString)(input);
};
exports.stringNotDate = stringNotDate;
const firestoreTimestamp = (input) => {
    return (0, lodash_1.isFunction)(input.toDate);
};
exports.firestoreTimestamp = firestoreTimestamp;
const toDate = (input) => {
    // This nil case expects that the validation will throw elsewhere
    if ((0, lodash_1.isNil)(input))
        return input;
    if ((0, lodash_1.isNumber)(input))
        return luxon_1.DateTime.fromMillis(input).toJSDate();
    if ((0, lodash_1.isDate)(input))
        return luxon_1.DateTime.fromJSDate(input).toUTC().toJSDate();
    if ((0, exports.firestoreTimestamp)(input))
        return luxon_1.DateTime.fromJSDate(input.toDate()).toJSDate();
    if (!(0, lodash_1.isString)(input) && luxon_1.DateTime.isDateTime(input))
        return input.toJSDate();
    return (0, exports.stringNotDate)(input) ? luxon_1.DateTime.fromISO(input).toUTC().toJSDate() : input;
};
exports.toDate = toDate;
//# sourceMappingURL=utils.js.map